POLYGRAPH-AKA(1)

NAME
polygraph-aka - IP aliases manipulation tool

SYNOPSIS
aka [--option ...] [interface_name] [alias] ...

DESCRIPTION
Aka is used to setup large number of aliases during Polygraph experiments with many robots and servers.

The aliases option specifies what alias or aliases you want to have on the given interface. Aka recognizes IP addresses in PGL address format, including dotted IP range. Aka will try to guess the subnet or you can use an explicit subnet specification.

The number of aliases you can set depends on your OS. Moreover, some OSes may support large number of aliases (more than 1000) but with a significant performance penalty.

Note that you can just put alias specs after all other options and the interface name (see aka's usage line).

Aka will delete all old aliases before setting new ones. If you do not specify the new aliases, the old ones will still be deleted (handy for cleaning up after yourself).

OPTIONS

--help
    list of options

--version
    package version info

--if <str>
    interface name

--aliases <str>
    ip(s) or ip range(s) to set as aliases

COPYRIGHT
Copyright © 2003-2006 The Measurement Factory, Inc.

SEE ALSO
polygraph(7) - general information and a list of programs

http://www.web-polygraph.org/ - project web site